it-swarm.com.ru

Eclipse 3.5 Невозможно установить плагины

Я действительно не знаю, что происходит с Eclipse 3.5 (3.5.0 или 3.5.1, те же проблемы), но вот уже 2 дня я борюсь с Eclipse, чтобы найти способ заставить установку плагинов работать через «Экран установки нового программного обеспечения» !!! Я посещал множество форумов и блогов, пробовал много решений, но тщетно: каждый раз, когда текущая проблема исчезает и появляется новая.

Я пытаюсь заставить это работать в моем офисе, поэтому за прокси. Лучший совет, который я получил на данный момент, - это совет, касающийся известной проблемы с прокси-серверами NTLM: http://wiki.Eclipse.org/ECF_Filetransfer_Support_for_NTLMv2_Proxies . Я добавил подсказку, но теперь у меня появилось новое сообщение об ошибке: Eclipse вообще не может найти репозитории ... Например, вот что я получаю сейчас с самого сайта обновлений Galileo:

org.Eclipse.equinox.internal.provisional.p2.core.ProvisionException: No repository found at http://download.Eclipse.org/releases/galileo.
    at org.Eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.fail(AbstractRepositoryManager.Java:380)
    at org.Eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadRepository(AbstractRepositoryManager.Java:606)
    at org.Eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.Java:92)
    at org.Eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.Java:88)
    at org.Eclipse.equinox.internal.provisional.p2.ui.operations.ProvisioningUtil.loadMetadataRepository(ProvisioningUtil.Java:88)
    at org.Eclipse.equinox.internal.provisional.p2.ui.QueryableMetadataRepositoryManager.doLoadRepository(QueryableMetadataRepositoryManager.Java:55)
    at org.Eclipse.equinox.internal.provisional.p2.ui.QueryableRepositoryManager.loadRepository(QueryableRepositoryManager.Java:195)
    at org.Eclipse.equinox.internal.provisional.p2.ui.QueryableRepositoryManager.loadAll(QueryableRepositoryManager.Java:108)
    at org.Eclipse.equinox.internal.p2.ui.sdk.PreloadingRepositoryHandler$2.run(PreloadingRepositoryHandler.Java:71)
    at org.Eclipse.core.internal.jobs.Worker.run(Worker.Java:55)

То же самое с http://download.Eclipse.org/Eclipse/updates/3.5 , или http://download.Eclipse.org/tools/mylyn/update/e3.4/ и любым другим сайт: никто не работает.

Пожалуйста, помогите кому-нибудь!

PS: некоторые подробности ниже:

У меня та же проблема со сторонним программным обеспечением ... например: http://www.epic-ide.org/updates/testing/site.xml .... то же сообщение об ошибке.

Если я захожу в «Настройки»> «Установка/обновление»> «Доступные сайты программного обеспечения», нажимаю на любой сайт и в «Тестовом соединении» я получаю исключение ProvisionException с этим сообщением об ошибке (когда я нажимаю на детали):

Невозможно прочитать репозиторий на http://download.Eclipse.org/technology/epp/packages/galileo/site.xml . Невозможно прочитать репозиторий на http://download.Eclipse.org/technology/epp/packages/galileo/site.xml . Сервер перенаправлен слишком много раз (20)

решение состоит в следующем: добавьте следующие строки в ваш файл Eclipse.ini (перед -vmargs): (проверено в 3.5; 3.5.1; 3.6.2)

-Dorg.Eclipse.ecf.provider.filetransfer.excludeContributors=org.Eclipse.ecf.provider.filetransfer.httpclient
-Dhttp.proxyPort=8080
-Dhttp.proxyHost=myproxy
-Dhttp.proxyUser=mydomain\myusername
-Dhttp.proxyPassword=mypassword
-Dhttp.nonProxyHosts=localhost|127.0.0.1
29
SirFabel

У нас было множество проблем здесь, а именно с поддержкой прокси . В итоге мы использовали Pulse: http://www.poweredbypulse.com/

Pulse имеет встроенную поддержку нескольких плагинов, однако вы можете легко добавить сторонний плагин и даже локальный файл jar.

Как ни странно, он не всегда использует встроенную функцию Eclipse, поэтому иногда, когда Eclipse становится сложным (как в нашем случае для прокси-бизнеса), вы можете обойти его с помощью Pulse.

5
vdr

Используйте следующие настройки, и все будет готово Перейдите в Window -> Preference -> General -> Network Connection -> выберите Direct из выпадающего спискаenter image description here

25
Mike

Пару недель назад я наткнулся на проблему с Java и MySQL-Connection. Проблема в том, что соединение не может быть установлено. В любом случае, исправление было добавить -Djava.net.preferIPv4Stack=true в командную строку.

Я только что добавил ту же строку в Eclipse.ini и, как оказалось, это также исправляет эту проблему для меня. Имя параметра довольно самоочевидно: оно предпочитает стек IPv4 над стеком IPv6. Так что это решение не может быть жизнеспособным для всех.

8
Michael Z.

У меня была похожая проблема при настройке Eclipse.

Я изменил: NATIVE соединение с MANUAL и очистил настройки прокси для SOCKS в Windows -> Preferences -> General -> Network connection. Это решило проблему для меня.

6
wilbert

У меня была похожая проблема при настройке Eclipse в офисе .. Я настроил для HTTP, HTTPS и SOCKS в:

Окно> pref> general> сетевые подключения

Очистка настроек прокси для SOCKS устранила проблему для меня.

6
Sam

У меня была похожая проблема. Я изменил Direct подключение к Native и это сработало. 

Настройки → Общие → Сетевые подключения.

3
javaisHUGE

Вы читали этот пост?

http://eclipsewebmaster.blogspot.ch/search?q=wow-what-a-painful-release-this-was-is

Может быть, это объясняет, почему это было довольно сложно в последние дни.

2
gia

Мне пришлось отключить свой персональный брандмауэр и брандмауэр Windows, и в конце концов это сработало.

1
Karel Burda

Я также столкнулся с той же проблемой при работе с затмениями Neon. Исправлено после редактирования файла .ini следующего содержания:

>    -Dhttp.proxyPort=8080

>    -Dhttp.proxyHost=myproxy

>    -Dhttp.proxyUser=mydomain\myusername

>    -Dhttp.proxyPassword=mypassword

>    -Dhttp.nonProxyHosts=localhost|127.0.0.1

>    -Djava.net.preferIPv4Stack=true

Примечание. Иногда это также может быть вызвано проблемами с конфигурацией сети и устройством. Поэтому сначала убедитесь, что ваш брандмауэр Windows позволяет подключать ваши затмения к внешнему миру (Интернет). (Отключите брандмауэр Windows на время, которое ваш компьютер тратит на установку файла).

0
user7009948

Я получаю сообщение об ошибке при попытке подключения для обновлений . Просто сделал, как в ответе выше - 

Окно -> Предпочтения -> Общие -> Сеть

Там провайдер по умолчанию был установлен как Native. Я изменил его на direct , так как моему ноутбуку не нужно было подключаться к любому прокси.

Применяется и работает нормально.

0
KNN

наконец, я получил Eclipse 3.7, работающий за брандмауэром компании. Я установил истинную опцию «Java.net.useSystemProxies» в файле «net.properties», расположенном в «C:\Program Files\Java\jre6\lib» (этот путь может отличаться для вашей установки JRE). После этого установите в качестве активного поставщика значение «Собственный» в настройках Eclipse. Нет необходимости предоставлять какие-либо данные прокси-сервера, просто выберите его в настройках браузера по умолчанию

0
Delcasda

Я встречал те же вопросы в 3.7 на Ubuntu 12.04 . Мои ОС используют прокси 127.0.0.1, а Eclipse использует другой прокси 192.168.1.1.

Я читаю .log для информации. В нем говорится ! MESSAGE Системное свойство http.proxyHost имеет значение 127.0.0.1, но должно быть 192.168.1.1.

поэтому я изменяю сетевую настройку Eclipse на ту же систему, что и система ... Наконец, она работает.

0
user883467

я боролся с Eclipse 3.5.0 (galileo) в течение нескольких дней, мне пришлось использовать эту версию, потому что я занимаюсь разработкой Blackberry, а Eclipse поставляется со спецификой Blackberry, поэтому мне нужно использовать пакет, который они поставили, который не был 3.5. 0 (не 3.5.1), НО SirFabel спас день, спасибо всем, кто внес вклад в этот пост

Я использовал 3.5.0 и сделал "Установите следующее системное свойство в вашем файле Eclipse.ini: -Dorg.Eclipse.ecf.provider.filetransfer.excludeContributors = org.Eclipse.ecf.provider.filetransfer.httpclient Для получения более подробной информации на этом: wiki.Eclipse.org/… - Настройте только HTTP и HTTPS прокси. Не SOCKS !! "

и я могу через прокси моих компаний !!!!

0
robert walker

В моем Eclipse Luna столкнулась с той же проблемой из-за этого URL https://sourceforge.net/projects/restfulplugin/files/site/ 

Поэтому я просто отключил URL-адрес, который был показан в сообщении об ошибке с доступных сайтов программного обеспечения.

Вы можете проверить URL или попробовать с обновленным URL-адрес рег для этого исключения :)

0
RAJESH KUMAR ARUMUGAM

Просто чтобы добавить к этому, поскольку у меня были проблемы с установкой Eclipse на моей машине.

Спецификации: Win 7 x64 на MacBook Pro. Разбитое Затмение было galileo, и 1 из 4 установок на моей машине в то время - все остальные работали.

У меня не был запущен прокси, поэтому вышеуказанное решение в вопросе не сработало.

Я нашел ответ, в котором говорилось, что нужно получать обновления для Eclipse, и это поможет исправить ситуацию. Я попробовал это, и Eclipse сказал, что обновлений не было, но потом по какой-то причине я не могу понять, что мои плагины теперь могут быть установлены.

... более анекдотическое свидетельство проблемы и возможное решение, как ни странно ...

0
Richard Le Mesurier

Это ОС Windows, которая делает проблему. У меня та же проблема. Затем я попробовал какое-то другое приложение, которое использует JavaVM для подключения к Интернету, и они не работают. Попробуйте обновить JRE, вы заметите это. Если JRE не может обновиться самостоятельно, то есть некоторая недоступность сокета, которая препятствует доступу в Интернет, кроме использования собственного API-интерфейса Windows .... Я переустановил Win7, и это устранило проблему.

0
karim